Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
stl_compatibility.h File Reference
`#include <memory>`
`#include <cstddef>`
`#include <type_traits>`
`#include <utility>`

Go to the source code of this file.

## Classes
struct | Botan::stlCompatibilityDetails::_Unique_if< T >
struct | Botan::stlCompatibilityDetails::_Unique_if< T[]>
struct | Botan::stlCompatibilityDetails::_Unique_if< T[N]>

## Namespaces
| Botan
| Botan::stlCompatibilityDetails

## Functions
template<class T , class... Args>
stlCompatibilityDetails::_Unique_if< T >::_Single_object | Botan::make_unique (Args &&...args)
template<class T >
stlCompatibilityDetails::_Unique_if< T >::_Unknown_bound | Botan::make_unique (size_t n)
template<class T , class... Args>
stlCompatibilityDetails::_Unique_if< T >::_Known_bound | Botan::make_unique (Args &&...)=delete